diff --git a/doc/src/sgml/acronyms.sgml b/doc/src/sgml/acronyms.sgml
index 38f111e..b8f572e 100644
--- a/doc/src/sgml/acronyms.sgml
+++ b/doc/src/sgml/acronyms.sgml
@@ -381,6 +381,16 @@
    </varlistentry>
 
    <varlistentry>
+    <term><acronym>LSN</acronym></term>
+    <listitem>
+     <para>
+      Log Sequence Number, a byte offset in the stream of <acronym>WAL</acronym> changes.
+      See <link linkend="wal-internals">WAL Internals</link>.
+     </para>
+    </listitem>
+   </varlistentry>
+
+   <varlistentry>
     <term><acronym>MSVC</acronym></term>
     <listitem>
      <para>
diff --git a/doc/src/sgml/wal.sgml b/doc/src/sgml/wal.sgml
index 503ea8a..6de3c2e 100644
--- a/doc/src/sgml/wal.sgml
+++ b/doc/src/sgml/wal.sgml
@@ -724,6 +724,10 @@
  <sect1 id="wal-internals">
   <title>WAL Internals</title>
 
+  <indexterm zone="wal-internals">
+   <primary>LSN</primary>
+  </indexterm>
+
   <para>
    <acronym>WAL</acronym> is automatically enabled; no action is
    required from the administrator except ensuring that the
@@ -733,6 +737,16 @@
   </para>
 
   <para>
+   <acronym>WAL</acronym> records are appended to the <acronym>WAL</acronym>
+   logs as each new record is written. The insert position is described by
+   a Log Sequence Number (<acronym>LSN</acronym>) that is a byte offset into
+   the logs, increasing monotonically with each new record. Two
+   <acronym>LSN</acronym>s can be compared to calculate the volume of
+   <acronym>WAL</acronym> data that separates them, so are used to measure
+   progress of <acronym>WAL</acronym> during replication and recovery.
+  </para>
+
+  <para>
    <acronym>WAL</acronym> logs are stored in the directory
    <filename>pg_xlog</filename> under the data directory, as a set of
    segment files, normally each 16 MB in size (but the size can be changed
